using Prise.Plugin;
using PSCHelpdesk.Shared.Menu;
using PSCHelpdesk.Shared.Service;

namespace PSCHelpdesk.Plugins.HetznerServer.Menu;

public class MainMenu
{
    [PluginService(ProvidedBy = ProvidedBy.Host, ServiceType = typeof(IMenuService))]
    private readonly IMenuService menuService;

    public void addMenu()
    {
        this.menuService.AddMenuItem(new Item()
        {
            Header = "Hetzner",
        });
    }

}